EC_NODE_SEQ(3)

NAME
ec_node_seq - Create an empty sequence node.

SYNOPSIS
#include <ecoli/node_seq.h>

struct ec_node * ec_node_seq(
    const char   *id   /* The node identifier. */
);

DESCRIPTION

Use ec_node_seq_add() to add children.

RETURN VALUE

The node, or NULL on error (errno is set).

SEE ALSO

ec_node_seq_add(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.